How to upgrade to 10.3.24-MariaDB-cll-lve from 5.7.33-cll-lve

azadhussnain

Well-Known Member
May 28, 2020
60
0
6
India
cPanel Access Level
Root Administrator
Hello, I have an dedicated server with cPanel/WHM , CloudLinux , CageFS , MySQL Governer , LiteSpeed.

It's MySQL Version is 5.7.33-cll-lve . I want to upgrade it to 10.3.24-MariaDB-cll-lve , I searched a lot but didn't find any way from which I can upgrade . Anyone here who can help me
 

andrew.n

Well-Known Member
Jun 9, 2020
875
325
63
EU
cPanel Access Level
Root Administrator
In order to change MySQL version you should run the following commands:

$ /usr/share/lve/dbgovernor/mysqlgovernor.py --mysql-version=MYSQL_VERSION
$ /usr/share/lve/dbgovernor/mysqlgovernor.py --install

where MYSQL_VERSION should be replaced with mariadb103 for MariaDB 10.3.

Please make full database backup (including system tables) before you switch to MariaDB 10.3. This action will prevent data loss in case if something goes wrong.
 
  • Like
Reactions: cPRex

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
9,686
1,511
313
cPanel Access Level
Root Administrator
You can find additional details on that process through the CloudLinux documentation here: